Subject: Re: bug#20733: coreutils build problem

From: Michael Felt <[email-masked]>
Date: Fri, 5 Jun 2015 15:13:10 +0200

an incremental build - isn't that what applying a patch to an official
release is. A fresh checkout is 'all patches' and difficult to replicate,
once another patch is applied.

Or I am just too old of a dog and having trouble learning this new trick :)

As far as above is concerned - I had automake 1.15 installed. I removed it
and installed automake-1.14.1 and the 'complaint' went away when I ran
automake.

On Fri, Jun 5, 2015 at 3:08 PM, Eric Blake <[email-masked]> wrote:

> On 06/05/2015 05:13 AM, Michael Felt wrote:
> > I think I still have automake 1.14 lying around, but would be nice if
> > automake-1.15 would have just accepted the patch :)
> >
> > *Most important - the patch seems to be working!* At least I got
> farther...
> >
> > On my "bare system" - initially NO extras installed to find 'hard', i.e.,
> > real dependencies.
> >
> > root@x065:[/data/prj/gnu/coreutils/coreutils-8.23]make
> >   GEN      lib/alloca.h
> >   GEN      lib/arpa/inet.h
> >   GEN      ./src/single-binary.mk
> >  cd . && /bin/sh /data/prj/gnu/coreutils/coreutils-8.23/build-aux/missing
> > automake-1.14 --gnu Makefile
> > /data/prj/gnu/coreutils/coreutils-8.23/build-aux/missing[81]:
> > automake-1.14:  not found.
> > WARNING: 'automake-1.14' is missing on your system.
>
> That says you are doing an incremental build, but have updated automake
> in the meantime.  Do 'autoreconf -f' to pick up the new automake version
> into your generated Makefile.in files, and it should fix this issue.
>
> A fresh checkout rather than an incremental build would also work.
>
> --
> Eric Blake   eblake redhat com    +1-919-301-3266
> Libvirt virtualization library http://libvirt.org
>
>